Skip to content

Get Result Region

Deprecated
PresignedUrl Beta.Sheets.GetResultTable(SheetGetResultTableParamsparameters, CancellationTokencancellationToken = default)
GET/api/v1/beta/sheets/jobs/{spreadsheet_job_id}/regions/{region_id}/result/{region_type}

Generate a presigned URL to download a specific extracted region.

ParametersExpand Collapse
SheetGetResultTableParams parameters
required string spreadsheetJobID

Path param

required string regionID

Path param

required RegionType regionType

Path param

"cell_metadata"CellMetadata
"extra"Extra
"table"Table
Long? expiresAtSeconds

Query param

string? organizationID

Query param

formatuuid
string? projectID

Query param

formatuuid
ReturnsExpand Collapse
class PresignedUrl:

Schema for a presigned URL.

required DateTimeOffset ExpiresAt

The time at which the presigned URL expires

formatdate-time
required string Url

A presigned URL for IO operations against a private file

formaturi
minLength1
IReadOnlyDictionary<string, string>? FormFields

Form fields for a presigned POST request

Get Result Region

SheetGetResultTableParams parameters = new()
{
    SpreadsheetJobID = "spreadsheet_job_id",
    RegionID = "region_id",
    RegionType = RegionType.CellMetadata,
};

var presignedUrl = await client.Beta.Sheets.GetResultTable(parameters);

Console.WriteLine(presignedUrl);
{
  "expires_at": "2019-12-27T18:11:19.117Z",
  "url": "https://example.com",
  "form_fields": {
    "foo": "string"
  }
}
Returns Examples
{
  "expires_at": "2019-12-27T18:11:19.117Z",
  "url": "https://example.com",
  "form_fields": {
    "foo": "string"
  }
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/